# Verfügbarkeit aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employee_availabilities/{employeeAvailability}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employeeAvailability` | string | ja | The employee availability ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `date` | string | ja |
| `type` | `0`, `1`, `2` | ja |
| `shift_id` | string \| null | nein |
| `note` | string \| null | nein |
| `weight` | integer | nein |

## Antworten

### 200: `EmployeeAvailabilityResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.date` | string | ja |
| `data.type` | string | ja |
| `data.shift_id` | string | ja |
| `data.note` | string | ja |
| `data.weight` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: An error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
